# $Revision: 1.63 $, $Date: 2005/11/14 09:04:58 $
Summary:	Tcl extension
Summary(de):	Tcl-Erweiterung
Summary(fr):	Extension Tcl
Summary(pl):	Rozszerzenie Tcl
Summary(ru):	 Tcl     
Summary(tr):	Programlar aras etkileimi mmkn klan Tcl geniletmesi
Summary(uk):	 Tcl    ڦ Ԧ
Name:		expect
%define	major	5.42
Version:	%{major}.1
Release:	2
License:	BSD
Group:		Development/Languages/Tcl
Source0:	http://expect.nist.gov/src/%{name}-%{version}.tar.gz
# Source0-md5:	fea346fac6aaf74b0851f2441f478571
Patch0:		%{name}-pty.patch
Patch1:		%{name}-alpha.patch
Patch2:		%{name}-bug7869.patch
Patch3:		%{name}-fixcat.patch
Patch4:		%{name}-soname.patch
Patch5:		%{name}-lib64.patch
Patch6:		%{name}-build.patch
Icon:		tcl.gif
URL:		http://expect.nist.gov/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	tcl-devel >= 8.4.6
BuildRequires:	tk-devel >= 8.4.6
Requires:	tcl >= 8.4.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_ulibdir	/usr/lib

%description
Expect is a tool for automating interactive applications such as
telnet, ftp, passwd, fsck, rlogin, tip, etc. It makes it easy for a
script to control another program and interact with it.

%description -l pl
Expect to narzdzie do automatyzacji interakcji z aplikacjami takimi
jak telnet, ftp, passwd, fsck, rlogin, tip itp. Expect pozwala w atwy
sposb przy pomocy skryptu kontrolowa inny program.

%description -l de
Expect ist ein Tool zur Automatisierung interaktiver Applikationen wie
telnet, ftp, passwd, fsck, rlogin, tip usw. Mit seiner Hilfe kann ein
Skript ein anderes Programm sehr leicht steuern oder damit
interagieren.

%description -l fr
expect est un un outil pour automatiser les applications interactives
comme telnet, ftp, passwd, fsck, rlogin, tip, etc. Il est alors facile
pour un script de contrler un autre programme et d'interagir avec
lui.

%description -l tr
Expect telnet, ftp, passwd, fsck, rlogin, tip gibi etkileimli
uygulamalar otomatize etmeye yarayan bir aratr. Bir uygulamann bir
dier uygulamay denetlemesini kolaylatrr.

%description -l ru
Expect -      ,
  telnet, ftp, passwd, fsck, rlogin, tip,  .. 
       .

%description -l uk
Expect -    æ  , 
 telnet, ftp, passwd, fsck, rlogin, tip,  .. Ѥ 
  Ħ   ڦ Ԧ.

%package X11
Summary:	Tk extension
Summary(pl):	Rozszerzenie Tk
Group:		Development/Languages/Tcl
Requires:	%{name} = %{version}-%{release}

%description X11
This package contains expectk, which is an Tk extension, just as
expect Tcl extension.

%description X11 -l pl
Ten pakiet zawiera expectk, ktry jest rozszerzeniem dla Tk takim jak
expect jest dla Tcl.

%package devel
Summary:	Tcl extension header files and development documentation
Summary(pl):	Pliki nagwkowe i dokumentacja do rozszerzenia jzyka Tcl
Group:		Development/Languages/Tcl
Requires:	%{name} = %{version}-%{release}
Requires:	tcl-devel >= 8.4.6

%description devel
Tcl extension language header files and develppment documentation.

%description devel -l pl
Pliki nagwkowe i dokumentacja do rozszerzenie jzyka Tcl.

%package static
Summary:	Tcl extension static library
Summary(pl):	Biblioteka statyczna rozszerzenia jzyka Tcl
Group:		Development/Languages/Tcl
Requires:	%{name}-devel = %{version}-%{release}

%description static
Tcl extension language static library.

%description static -l pl
Biblioteka statyczna rozszerzenia jzyka Tcl.

%prep
%setup -q -n %{name}-%{major}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%if "%{_lib}" == "lib64"
%patch5 -p1
%endif
%patch6 -p1

chmod +w {.,testsuite}/configure

%build
install /usr/share/automake/config.* .
# only local macros, don't call aclocal
%{__autoconf}
cd testsuite
cp ../aclocal.m4 .
%{__autoconf}
cd -
%configure \
	--enable-gcc \
	--enable-shared \
	--with-tclconfig=%{_ulibdir} \
	--with-tkconfig=%{_ulibdir} \
	--with-tclinclude=%{_includedir}/tcl-private \
	--with-tkinclude=%{_includedir}

cat expect_cf.h | sed "s|.*SETPGRP_VOID.*|\#define SETPGRP_VOID 1|" > expect_cf.h.new
mv -f expect_cf.h{.new,}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

LD_LIBRARY_PATH=$RPM_BUILD_ROOT%{_libdir} \
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_bindir}/{rftp,rftp-expect}

ln -sf $(cd $RPM_BUILD_ROOT%{_libdir} ; echo libexpect%{major}.so.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libexpect%{major}.so
ln -sf $(cd $RPM_BUILD_ROOT%{_libdir} ; echo libexpect%{major}.so.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libexpect.so

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/autoexpect
%attr(755,root,root) %{_bindir}/autopasswd
%attr(755,root,root) %{_bindir}/cryptdir
%attr(755,root,root) %{_bindir}/decryptdir
%attr(755,root,root) %{_bindir}/dislocate
%attr(755,root,root) %{_bindir}/expect
%attr(755,root,root) %{_bindir}/ftp-rfc
%attr(755,root,root) %{_bindir}/kibitz
%attr(755,root,root) %{_bindir}/lpunlock
%attr(755,root,root) %{_bindir}/mkpasswd
%attr(755,root,root) %{_bindir}/passmass
%attr(755,root,root) %{_bindir}/rftp-expect
%attr(755,root,root) %{_bindir}/rlogin-cwd
%attr(755,root,root) %{_bindir}/timed-read
%attr(755,root,root) %{_bindir}/timed-run
%attr(755,root,root) %{_bindir}/unbuffer
%attr(755,root,root) %{_bindir}/weather
%dir %{_libdir}/expect*
%attr(755,root,root) %{_libdir}/expect*/pkgIndex.tcl
%attr(755,root,root) %{_libdir}/libexpect*.so.*.*
%{_mandir}/man1/autoexpect.*
%{_mandir}/man1/cryptdir.*
%{_mandir}/man1/decryptdir.*
%{_mandir}/man1/dislocate.*
%{_mandir}/man1/expect.*
%{_mandir}/man1/kibitz.*
%{_mandir}/man1/mkpasswd.*
%{_mandir}/man1/passmass.*
%{_mandir}/man1/unbuffer.*

%files X11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/expectk
%attr(755,root,root) %{_bindir}/multixterm
%attr(755,root,root) %{_bindir}/tknewsbiff
%attr(755,root,root) %{_bindir}/tkpasswd
%attr(755,root,root) %{_bindir}/xkibitz
%attr(755,root,root) %{_bindir}/xpstat
%{_mandir}/man1/expectk.*
%{_mandir}/man1/multixterm.*
%{_mandir}/man1/tknewsbiff.*
%{_mandir}/man1/xkibitz.*

%files devel
%defattr(644,root,root,755)
%doc ChangeLog FAQ HISTORY NEWS README
%attr(755,root,root) %{_libdir}/libexpect*.so
%{_includedir}/*
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: expect.spec,v $
Revision 1.63  2005/11/14 09:04:58  pluto
- build fixed (tcl private includes).
- release 2.

Revision 1.62  2005/06/06 20:32:55  pluto
- compilation fix.

Revision 1.61  2005/05/11 13:43:38  qboosh
- more general lib64 if

Revision 1.60  2004/08/05 22:43:07  qboosh
- updated to 5.42.1, removed obsolete jbj patch

Revision 1.59  2004/04/22 23:00:24  qboosh
- updated to 5.41.0

Revision 1.58  2004/04/12 22:36:10  qboosh
- updated to 5.40.1

Revision 1.57  2004/03/07 00:37:34  qboosh
- require tcl with new soname patch

Revision 1.56  2004/03/06 22:32:34  qboosh
- updated to 5.40.0
- updated shlib version setting in soname patch

Revision 1.55  2004/01/02 17:15:33  jajcus
- Release: 3 (STBR after AMD64 fixes)

Revision 1.54  2003/12/28 17:01:41  jajcus
- AMD64 fixes

Revision 1.53  2003/12/18 19:56:59  undefine
- release 2 to rebuild with ac

Revision 1.52  2003/08/28 08:20:31  ankry
- cosmetics

Revision 1.51  2003/08/07 22:04:42  qboosh
- added alpha patch remainder (for mistake probably harmless, but...)

Revision 1.50  2003/08/02 21:21:48  grzegol
- updated to 5.39
- commented out alpha patch (probably in surces, but I'm not sure)
- more docs

Revision 1.49  2003/07/13 20:48:51  grzegol
- updated to 5.38.3

Revision 1.48  2003/06/17 19:13:10  qboosh
- added soname patch (adds soname, removes rpath)
- removed BR glibc-static (seems not needed now)
- release 2, ready for tcl+tk 8.4.3

Revision 1.47  2003/06/13 15:47:34  ankry
- md5

Revision 1.46  2003/05/25 05:47:16  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.45  2003/03/14 20:21:46  qboosh
- added multixterm to files

Revision 1.44  2003/03/11 11:22:38  qboosh
- switched to versioned sources

Revision 1.43  2003/03/02 15:31:49  radek
- version 5.38 (can somebody update SOURCES?)

Revision 1.42  2002/11/27 19:36:46  juandon
- new %%doc

Revision 1.41  2002/10/09 13:14:21  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.40  2002/05/21 23:13:00  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.39  2002/05/02 20:05:20  filon
- updated to 5.37
- changes source adress (on scriptics there is only old version)
- fixed building
- STBR

Revision 1.38  2002/05/01 20:46:45  filon
- hacked regeneration of configure script
- fixed little typo
- release 52.1 (does not build, gcc complains a lot...)

Revision 1.37  2002/04/25 16:16:29  arturs
fixed a small typo

Revision 1.36  2002/04/25 08:29:48  kloczek
- merge translations from KSI.

Revision 1.35  2002/04/16 12:34:13  marcus
- rel.52.

Revision 1.34  2002/02/23 01:58:10  kloczek
- adapterized.

Revision 1.33  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.32  2002/01/18 02:12:50  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.31  2001/08/10 03:13:22  agaran
now builds with current env. (maybe that isnt nicest way..but that works)

Revision 1.30  2001/06/23 18:43:49  zagrodzki
- release 51
- splitted out X11 subpackage

Revision 1.29  2001/06/02 18:27:55  zagrodzki
- for rebuild with new glibc (I think)

Revision 1.28  2001/06/02 18:26:04  zagrodzki
- BuildReq: glibc-static

Revision 1.27  2000/12/14 20:40:15  kloczek
- removed unused Patch5.

Revision 1.26  2000/12/14 20:37:30  kloczek
- updated to 5.32.2 (Release 49 for allow upgrade from RH vversion),
- merged RH patches,
- rewrited %build, %install,
- moved %doc to devel,
- added new URL and Source url,
- added using new rpm automation.

Revision 1.25  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.24  2000/05/18 19:19:33  kloczek
- spec adapterized.

Revision 1.23  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.22  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.21  1999/07/20 11:04:33  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed
